获取音频路由组
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
检索 audioRoutingGroup 对象的属性和 关系。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
不支持
委派(个人 Microsoft 帐户)
不支持
应用程序
Calls.JoinGroupCalls.All、Calls.InitiateGroupCalls.All
HTTP 请求
GET /app/calls/{id}/audioRoutingGroups/{id}
GET /communications/calls/{id}/audioRoutingGroups/{id}
注意: /app 路径已弃用。 今后将使用 /communications 路径。
可选的查询参数
此方法支持使用 OData 查询参数 来帮助自定义响应。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK audioRoutingGroup 对象。
示例
请求
下面为请求示例。
GET https://graph.microsoft.com/beta/communications/calls/{id}/audioRoutingGroups/{id}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var audioRoutingGroup = await graphClient.Communications.Calls["{call-id}"].AudioRoutingGroups["{audioRoutingGroup-id}"]
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let audioRoutingGroup = await client.api('/communications/calls/{id}/audioRoutingGroups/{id}')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/communications/calls/{id}/audioRoutingGroups/{id}"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
MSGraphAudioRoutingGroup *audioRoutingGroup = [[MSGraphAudioRoutingGroup alloc] initWithData:data error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
AudioRoutingGroup audioRoutingGroup = graphClient.communications().calls("{id}").audioRoutingGroups("{id}")
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
callId := "call-id"
audioRoutingGroupId := "audioRoutingGroup-id"
result, err := graphClient.Communications().CallsById(&callId).AudioRoutingGroupsById(&audioRoutingGroupId).Get()
Import-Module Microsoft.Graph.CloudCommunications
Get-MgCommunicationCallAudioRoutingGroup -CallId $callId -AudioRoutingGroupId $audioRoutingGroupId
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 233
{
"id": "oneToOne",
"routingMode": "oneToOne",
"sources": [
"632899f8-2ea1-4604-8413-27bd2892079f"
],
"receivers": [
"550fae72-d251-43ec-868c-373732c2704f",
"72f988bf-86f1-41af-91ab-2d7cd011db47"
]
}